/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\TritonsTrident.cs
Lines of code: 43
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class TritonsTrident : Pitchfork
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TritonsTrident() 
		{
			Name = "Triton's Trident";
			Hue = 1153;
			Attributes.WeaponDamage = 40;
			WeaponAttributes.HitLightning = 40;
			Attributes.WeaponSpeed = 25;
			Attributes.LowerManaCost = 5;
			Attributes.BonusInt = 5;
			Attributes.RegenMana = 1;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=100;
			AosElementDamages.Chaos=0;					
		}


		public TritonsTrident( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( Hue == 0x44F )
				Hue = 0x76D;
		}
	}
}